#
# spec file for package xkeycaps
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xkeycaps
BuildRequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xt)
Version:        2.46
Release:        974.3
Summary:        A graphical frontend for "xmodmap"
License:        MIT
Group:          System/X11/Utilities
Url:            http://www.jwz.org/xkeycaps/
Source:         xkeycaps-%{version}.tar.bz2
Patch0:         xkeycaps-%{version}.patch
Patch1:         xkeycaps-%{version}-Xmodmap.patch
Patch2:         xkeycaps-%{version}-Imake.patch
Patch3:         %{name}-%{version}_context-menu.patch
Patch4:         %{name}-%{version}-memory-leak.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define _xorg7libs %_lib
%define _xorg7libs32 lib
%define _xorg7bin bin
%define _xorg7_mandir %_mandir
%define _xorg7pixmaps include
%define _xorg7libshare share
%define _xorg7_xkb /usr/share/X11/xkb
%define _xorg7_termcap /usr/lib/X11/etc
%define _xorg7_serverincl /usr/include/xorg
%define _xorg7_fonts /usr/share/fonts
#%define _xorg7_config /usr/share/X11/config #use libshare macro
%define _xorg7_prefix /usr

%description
"xkeycaps" is a graphical front-end to "xmodmap". It opens a window
that looks like a keyboard. Moving the mouse over a key shows what
KeySyms and Modifier bits that key generates. Clicking on a key
simulates KeyPress/KeyRelease events on the window of your choice. It
is possible to change the KeySyms and Modifiers generated by a key
through a mouse-based interface. This program can also write an input
file for xmodmap to recreate your changes in future sessions.

%prep
%autosetup -p0

%build
xmkmf -a
touch XKeyCaps_ad.h
make %{?jobs:-j%jobs}

%install
make install DESTDIR=${RPM_BUILD_ROOT}
make install.man DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc  README defining.txt hierarchy.txt sgi-microsoft.txt
%doc %{_xorg7_mandir}/man1/xkeycaps.1x.gz
/usr/%{_xorg7bin}/xkeycaps

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Fri Oct 31 2014 crrodriguez@opensuse.org
- Deprecate use of xorg-x11-devel metapackage, switch
  to individual pkgconfig() buildrequires
* Wed Mar  6 2013 cfarrell@suse.com
- license update: MIT
  no BSD found
* Fri Mar  1 2013 coolo@suse.com
- update license to new format
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Tue Sep 29 2009 pgajdos@suse.cz
- fixed [bnc#542499] -- xkeycaps-2.46-948.9: memory leak
  * memory-leak.patch
* Thu Oct  4 2007 bg@suse.de
- remove definitions and tests only useful for hpux and make it
  build for hppa linux
* Wed Jun 13 2007 pgajdos@suse.cz
- context menu is working now [#282654]
  - context-menu.patch
* Fri Jul 28 2006 lmichnovic@suse.cz
- builds also with new X.org 7.x, detecting prefix in X.org
- building with icecream
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Tue Nov 19 2002 pmladek@suse.cz
- fixed prefix of comments which should go to from the Imakefile
  to the Makefile:
  * old prefix: /**/#
  * new prefix: XCOMM
- removed forgotten debugging option and build again with $RPM_OPT_FLAGS
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Fri Aug 17 2001 nadvornik@suse.cz
- fixed output file name to work with default .xinitrc
* Mon Jun  4 2001 pblaha@suse.cz
- fixed arguments to XtVa... functions for ia64
* Thu May 24 2001 pblaha@suse.cz
- fxi cast warning on ia64
* Mon Oct 30 2000 pblaha@suse.cz
- update -> 2.46 , add build root
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jul  9 1999 uli@suse.de
- update -> 2.45
